# $Revision: 1.29 $, $Date: 2008/10/20 17:16:56 $
#
# TODO:
# - find out what it Requires to run (bluez ? some irda-tools ?)
#
Summary:	anyremote - bluetooth remote for Linux
Summary(pl.UTF-8):	anyremote - pilot bluetooth dla Linuksa
Name:		anyremote
Version:	4.6
Release:	2
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
# Source0-md5:	7a98a9210d2e7cf9a6f8324470454e41
Patch0:		%{name}-in.patch
URL:		http://anyremote.sourceforge.net
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bluez-libs-devel
BuildRequires:	libtool
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The overall goal of this project is to provide wireless Bluetooth or
InfraRed remote control service for Linux. In contrast with other
Bluetooth remote control programs AnyRemote is not limited to
SonyEricsson or JSR-82 capable phones. It was developed as just thin
"communication" layer beetween bluetooth-capabled phone and Linux, and
in principle could be configured to manage any software. But Bluetooth
is not the only way to use it. AnyRemote could be used with:
- IR-capabled phone
- with cable connection
- it could accept incoming connection from network
- it could work with Java client written for JSR82 capabled phones
  (like Bemused)
- it have limited support for existing Bemused clients.

kAnyRemote is its KDE equivalent (you can find it in kanyremote
package).

%description -l pl.UTF-8
Ogólnym celem tego projektu jest dostarczenie zdalnego,
bezprzewodowego systemu kontroli nad Linuksem z użyciem Bluetootha lub
podczerwieni (IrDA). W odróżnieniu od innych programów tego typu
AnyRemote nie jest ograniczony do obsługi telefonów SonyEricssona czy
JSR-82. Został zaprojektowany jako cienka warstwa "komunikacyjna"
między telefonem posiadającym Bluetooth, a Linuksem i w zasadzie może
zostać skonfigurowany do obsługi każdej aplikacji. Połączenia
Bluetooth nie są jedynym sposobem by korzystać z programu. AnyRemote
może być używany wraz z:
- telefonami posiadającymi podczerwień (IrDA)
- telefonami z połączeniem kablowym
- może odbierać połączenia przychodzące z sieci
- klientem Javy napisanym dla telefonów obsługujących JSR82 (jak
  Bemused)
- już istniejącymi klientami Bemused (częściowa obsługa).

Jego odpowiednikiem dla środowiska KDE jest kAnyRemote (można go
znaleźć w pakiecie kanyremote).

%prep
%setup -q
%patch0 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README 
%attr(755,root,root) %{_bindir}/anyremote
%{_mandir}/man1/anyremote.1.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: anyremote.spec,v $
Revision 1.29  2008/10/20 17:16:56  arekm
- release 2

Revision 1.28  2008/10/15 22:40:38  sls
- BR: xorg-lib-libXtst-devel (BTW can be ./configured --without xtest)

Revision 1.27  2008/06/03 23:20:11  shadzik
- 4.6
- removed patch1 and patch2

Revision 1.26  2007-09-18 07:48:00  shadzik
- add patch2

Revision 1.25  2007/09/18 07:28:46  shadzik
- 3.2

Revision 1.24  2007/08/23 15:54:15  shadzik
- 3.1

Revision 1.23  2007/07/25 11:12:18  shadzik
- 3.0

Revision 1.22  2007/05/23 22:35:33  shadzik
- 2.12

Revision 1.21  2007/04/25 22:49:15  shadzik
- 2.11

Revision 1.20  2007/03/31 10:42:53  shadzik
- 2.10

Revision 1.19  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.17  2007/02/04 16:46:05  shadzik
- 2.8

Revision 1.16  2007/01/25 18:20:30  shadzik
- 2.7

Revision 1.15  2007/01/18 01:58:30  shadzik
- 2.6

Revision 1.14  2007/01/07 18:34:28  shadzik
- 2.5

Revision 1.13  2007/01/07 18:31:35  shadzik
- 2.4

Revision 1.12  2006/12/20 23:53:35  shadzik
- 2.3

Revision 1.11  2006/12/12 23:37:51  shadzik
- 2.2

Revision 1.10  2006/12/01 00:15:08  darekr
- kill empty files from %doc

Revision 1.9  2006/11/30 23:52:41  shadzik
- 2.1

Revision 1.8  2006/11/24 14:16:43  qboosh
- typos, inform about package not spec

Revision 1.7  2006/11/19 17:38:00  megabajt
- added link patch

Revision 1.6  2006/11/19 17:03:38  shadzik
- try to fix build on th

Revision 1.5  2006/11/19 16:30:14  shadzik
- BRs, BRs, BRs

Revision 1.4  2006/11/19 01:08:31  shadzik
- add cfg-examples to documentation

Revision 1.3  2006/11/19 01:00:40  shadzik
- extended descriptions for both en,pl

Revision 1.2  2006/11/19 00:39:54  shadzik
- add descriptions (en,pl)
- add TODO

Revision 1.1  2006/11/18 18:45:39  shadzik
- new, NFY
